Subject: Re: External int in dts

From: Sean MacLennan <[email-masked]>
Date: Fri, 28 Dec 2007 15:55:37 -0500

Stefan Roese wrote:
> On Friday 28 December 2007, Sean MacLennan wrote:
>   
>> I have an FPGA which uses external int 1, which is interrupt 24 on UIC0.
>> I tried the following entry in various places:
>>
>>         FPGA0: fpga {
>>             compatible = "pika,fpga";
>>             interrupts = <18 4>;
>>     
>
> Is the interrupt level sensitive and active high? Then "4" is correct here. 
> But if it is active low then you should use "8" here".
>   
It was active low. Thank you.

I got it working. You do need some glue logic. Basically the following 
two lines (ignoring all error checking):

 np = of_find_compatible_node(NULL, NULL, "pika,fpga");
 irq = irq_of_parse_and_map(np, 0);

Simple!

Cheers,
   Sean